﻿@model IEnumerable<eCommerce.Services.Model.City>

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="text-left">Nombre</th>
            <th class="text-left">Provincia</th>
            <th class="text-center col-sm-1">Exclusiva</th>
            <th class="text-center col-sm-1">Acciones</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td class="text-left">@Html.DisplayFor(modelItem => item.Name)</td>
                <td class="text-left">@Html.DisplayFor(modelItem => item.Province.Name)</td>
                <td class="text-center">
                    @if (item.Exclusive)
                {
                        <span class="label label-outline label-success">Si</span>
                    }
                    else
                    {
                        <span class="label label-outline label-danger">No</span>
                    }
                </td>
                <td class="actions text-center">
                    <a href="/City/CityUpdate/@item.CityId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                       data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                       data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.CityId" onclick="fDeleteDialog(@item.CityId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
                </td>
            </tr>
        }
    </tbody>
</table>
